Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class PropertyMap

    java.lang.Object
      juzu.PropertyMap

All Implemented Interfaces:
  Iterable<PropertyType<?>>

    public class PropertyMap

extends Object
implements Iterable<PropertyType<?>>

A map that holds properties as expressed by `PropertyType`. The map can delegate to an optional another properties (thus forming a chain) in order to provide a modified version of an existing map by wrapping it with a map.

Author:
  Julien Viet

Constructor Summary
`PropertyMap()`
`PropertyMap(PropertyMap delegate)`

Method Summary
`
`<T> void`
` | `addValue(PropertyType<T> property, T value)`
`
`<T> void`
` | `addValues(PropertyType<T> property, Iterable<? extends T> values)`
`
`<T> void`
` | `addValues(PropertyType<T> property, T... values)`
`
`<T> boolean`
` | `contains(PropertyType<T> property)`
`
`<T> T`
` | `getValue(PropertyType<T> property)`
`
`<T> Iterable<T>`
` | `getValues(PropertyType<T> property)`
`Iterator<PropertyType<?>>` | `iterator()`
`
`<T> void`
` | `remove(PropertyType<T> property)`
`
`<T> void`
` | `setValue(PropertyType<T> property, T value)`
`
`<T> void`
` | `setValues(PropertyType<T> property, Iterable<? extends T> values)`
`
`<T> void`
` | `setValues(PropertyType<T> property, T... values)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMap

    public PropertyMap()

### PropertyMap

    public PropertyMap(PropertyMap delegate)

Method Detail

### iterator

    public Iterator<PropertyType<?>> iterator()

  Specified by:
    `iterator` in interface `Iterable<PropertyType<?>>`

### getValue

    public <T> T getValue(PropertyType<T> property)

### getValues

    public <T> Iterable<T> getValues(PropertyType<T> property)
                          throws NullPointerException

  Throws:
    `NullPointerException`

### setValue

    public <T> void setValue(PropertyType<T> property,
                             T value)
                  throws NullPointerException

  Throws:
    `NullPointerException`

### setValues

    public <T> void setValues(PropertyType<T> property,
                              T... values)
                   throws NullPointerException

  Throws:
    `NullPointerException`

### setValues

    public <T> void setValues(PropertyType<T> property,
                              Iterable<? extends T> values)
                   throws NullPointerException

  Throws:
    `NullPointerException`

### addValue

    public <T> void addValue(PropertyType<T> property,
                             T value)
                  throws NullPointerException

  Throws:
    `NullPointerException`

### addValues

    public <T> void addValues(PropertyType<T> property,
                              T... values)
                   throws NullPointerException

  Throws:
    `NullPointerException`

### addValues

    public <T> void addValues(PropertyType<T> property,
                              Iterable<? extends T> values)
                   throws NullPointerException

  Throws:
    `NullPointerException`

### remove

    public <T> void remove(PropertyType<T> property)
                throws NullPointerException

  Throws:
    `NullPointerException`

### contains

    public <T> boolean contains(PropertyType<T> property)
                     throws NullPointerException

  Throws:
    `NullPointerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.